import request from '@/utils/request'

// 年级管理列表
export function getGradeListApi(query) {
    return request({
        url: '/sc/grade/ht/list',
        method: 'get',
        params: query
    })
}
// 年级管理-新增
export function addGradeApi(data) {
    return request({
        url: '/sc/grade/ht',
        method: 'post',
        data: data
    })
}
// 年级管理-详情
export function gradeDetailsApi(id) {
    return request({
        url: `/sc/grade/ht/${id}`,
        method: 'get',
    })
}
// 年级管理-编辑
export function updateGradeApi(data) {
    return request({
        url: '/sc/grade/ht',
        method: 'put',
        data: data
    })
}
// 年级管理-删除
export function deleteGradeApi(ids) {
    return request({
        url: `/sc/grade/ht/${ids}`,
        method: 'delete',
    })
}